Bug 28036 - Improve breadcrumbs of serial claims page
Summary: Improve breadcrumbs of serial claims page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27846
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-25 18:02 UTC by Owen Leonard
Modified: 2021-04-19 09:31 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28036: Improve breadcrumbs of serial claims page (3.04 KB, patch)
2021-03-25 18:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28036: Improve breadcrumbs of serial claims page (3.10 KB, patch)
2021-03-26 17:13 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28036: Improve breadcrumbs of serial claims page (3.16 KB, patch)
2021-03-27 16:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-25 18:02:31 UTC
The breadcrumbs menu on the serial claims page can be expanded to provide additional context when a vendor has been selected.
Comment 1 Owen Leonard 2021-03-25 18:10:37 UTC
Created attachment 118835 [details] [review]
Bug 28036: Improve breadcrumbs of serial claims page

This patch modifies the serial claims script and templates so that
better context can be shown in the page title and page breadcrumbs when
a vendor has been selected.

To test, apply the patch and go to Serials -> Claims.

- The initial state of the page title and breadcrumbs should show
  "Serials > Claims."
- Select a vendor. The page title and breadcrumbs show show "Serials >
  Claims > Claims for <vendor name>."
Comment 2 Amit Gupta 2021-03-26 03:37:56 UTC
Bug 28036: Improve breadcrumbs of serial claims page

This patch modifies the serial claims script and templates so that
better context can be shown in the page title and page breadcrumbs when
a vendor has been selected.

To test, apply the patch and go to Serials -> Claims.

- The initial state of the page title and breadcrumbs should show
  "Serials > Claims."
- Select a vendor. The page title and breadcrumbs show show "Serials >
  Claims > Claims for <vendor name>."
--------------------------
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all: a
Applying: Bug 28036: Improve breadcrumbs of serial claims page
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/serials/claims.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 28036: Improve breadcrumbs of serial claims page
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
------------------

Patch not applied.
Comment 3 Owen Leonard 2021-03-26 10:49:36 UTC
Depends on Bug 27846.
Comment 4 Lucas Gass 2021-03-26 17:13:06 UTC
Created attachment 118871 [details] [review]
Bug 28036: Improve breadcrumbs of serial claims page

This patch modifies the serial claims script and templates so that
better context can be shown in the page title and page breadcrumbs when
a vendor has been selected.

To test, apply the patch and go to Serials -> Claims.

- The initial state of the page title and breadcrumbs should show
  "Serials > Claims."
- Select a vendor. The page title and breadcrumbs show show "Serials >
  Claims > Claims for <vendor name>."

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Katrin Fischer 2021-03-27 16:45:55 UTC
This works well, just wondering a tiny bit about the variable names. I think we should probably be using vendor, not supplier? Also seem to remember that we had standardized on booksellerid in the acq module at some point as a compromise.
Comment 6 Katrin Fischer 2021-03-27 16:46:23 UTC
Created attachment 118913 [details] [review]
Bug 28036: Improve breadcrumbs of serial claims page

This patch modifies the serial claims script and templates so that
better context can be shown in the page title and page breadcrumbs when
a vendor has been selected.

To test, apply the patch and go to Serials -> Claims.

- The initial state of the page title and breadcrumbs should show
  "Serials > Claims."
- Select a vendor. The page title and breadcrumbs show show "Serials >
  Claims > Claims for <vendor name>."

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-04-06 13:59:28 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-04-19 09:31:57 UTC
Enhancement not pushed to 20.11.x